
exports.build = function () {
    let {webpackPromise,compiler} = require("./build.web").build();
    let webpackNativePromise = require("./build.native").build();

    return Promise.all([
        webpackPromise,
        webpackNativePromise,
        new Promise(function (resolve) {
            if(process.env.NODE_ENV==="dev"){
                global.middleware = [];

                const devModule = require("webpack-dev-middleware")(compiler,{
                    noInfo: true,log:false
                });
                global.middleware.push(devModule);

                devModule.waitUntilValid(() => {
                    resolve()
                });

                global.middleware.push(require("webpack-hot-middleware")(compiler,{
                    noInfo: true,log:false
                }))
            }else{
                resolve();
            }
        })
    ])
};
